## pretzel 2.0n-2-0.3

=== Makefile ===
# Global Makefile for the pretzel distribution

# $Id: Makefile,v 1.9 1998/12/03 10:31:46 felix Exp $

# this is version...
VERSION=2.0n

# use which C compiler?
CC = gcc

# Installation paths: (currently set to my personal settings)

# target path for libraries and objects:
#LIBPATH=/users/felix/lib/pretzel
# recommended:
LIBPATH=$(DESTDIR)/usr/lib/pretzel

# directory for include files
#INCLUDEDIR=/users/felix/lib/pretzel/include
# recommended:
INCLUDEDIR=$(DESTDIR)/usr/include/pretzel

# target path for executables (platform dependent)
#BINDIR1=/users/felix/bin
# recommended:
BINDIR1=$(DESTDIR)/usr/bin

# target path for shell scripts (platform independent):
#BINDIR2=/users/felix/bin
# recommended:
BINDIR2=$(DESTDIR)/usr/bin

# target path for examples and documentation:
#EXMDIR=/users/felix/lib/pretzel/doc
# recommended:
EXMDIR=$(DESTDIR)/usr/share/doc/pretzel/examples

# target path for TeX style file:
#TEXDIR=/users/felix/tex/inputs
# recommended:
TEXDIR=$(DESTDIR)/usr/share/texmf/tex/latex/pretzel

# target path for manpages (pretzel.1 and pretzel-it.1)
#MANPATH=/users/felix/lib/man/man1
# recommended:
MANPATH=$(DESTDIR)/usr/share/man/man1

# -----------------------------------------------------------------
# do not change below here:
# -----------------------------------------------------------------

# all - build executables

all: lib doc
	(cd output; make release)
	(cd attr; make release)
	(cd ftokens; make regression release)
	(cd fgrammar; make regression release)
	(cd main; make regression release)
	(cd doc/styles; make pretzel-noweb.sty)
	(cd pretzel-it; make release)
	(cd contrib/noweb/general; make release)
	(cd languages/pascal/; make release)

# lib - create the libpretzel.a library

lib: alloca.c
	$(CC) -c alloca.c
	ar vrus libpretzel.a alloca.o

# clean - remove intermediate products
clean:
	(cd attr; make clean)
	(cd output; make clean)
	(cd ftokens; make clean)
	(cd fgrammar; make clean)
	(cd main; make clean)
	(cd contrib/noweb/general; make clean)
	(cd languages/pascal; make clean)

# clobber - remove intermediate and final products
clobber: clean
	(cd attr; make clobber)
	(cd output; make clobber)
	(cd ftokens; make clobber)
	(cd fgrammar; make clobber)
	(cd main; make clobber)
	(cd contrib/noweb/general; make clobber)
	(cd contrib/noweb/java.latex; make clobber)
	(cd languages/pascal; make clobber)
	rm -f libpretzel.a plainpp.o plaindpp.o nowebpretzelpp.o alloca.o
	rm -f include/*
	rm -f bin/*

# install - copy files to places on system

install: all
	cp libpretzel.a plainpp.o plaindpp.o $(LIBPATH)
	cp nowebpretzelpp.o $(LIBPATH)
	cp include/* $(INCLUDEDIR)
	cp bin/pretzel $(BINDIR1)
#	cp bin/pascalpp $(BINDIR1)
	cp bin/pretzel-it $(BINDIR2)
#	cp languages/pascal/pascal.ft languages/pascal/pascal.fg $(EXMDIR)
	cp doc/styles/pretzel-latex.sty $(TEXDIR)
	cp doc/styles/pretzel-noweb.sty $(TEXDIR)
	cp doc/styles/pretzeldoc.sty $(TEXDIR)
	cp man/pretzel.1 man/pretzel-it.1 $(MANPATH)
#	cp doc/pretzelbook/pretzelbook.dvi $(EXMDIR)

# doc - make the documentation

doc:



# bundle - make a distribution

bundle:
	echo "are you sure you dont want to make clobber first?"
	(cd .. ; 					\
	tar -czv -X pretzel/files-to-exclude -f pretzel-$(VERSION).tar.gz pretzel/ ; \
	mv pretzel-$(VERSION).tar.gz pretzel)

# make a list of all files not to be included in the distribution
# (for me only)

exclude:
	(cd ..; 						\
	find pretzel/ -print > /tmp/gaertner.files-to-exclude ;	\
	grep RCS /tmp/gaertner.files-to-exclude > pretzel/files-to-exclude;	\
	rm /tmp/gaertner.files-to-exclude )


# move the current distribution to the www directory (may change)
www:
	mv pretzel-$(VERSION).tar.gz /users/wwwpub/Gaertner/pretzel/code



# $Log: Makefile,v $
# Revision 1.9  1998/12/03 10:31:46  felix
# *** empty log message ***
#
# Revision 1.8  1996/09/02  17:05:16  gaertner
# hasty update for v.2.0b
#
# Revision 1.7  1995/09/08  16:29:57  gaertner
# Added release of manpages to make install
#
# Revision 1.6  1995/09/08  16:18:17  gaertner
# Uses gtar now. Didn't manage to exclude RCS files.
#
# Revision 1.5  1995/09/07  17:33:50  gaertner
# Revised Makefile: targets all clean clobber install. Thanks to
# Arno Schaefer for his help.
#
# Revision 1.5  1995/09/07  17:33:50  gaertner
# Revised Makefile: targets all clean clobber install. Thanks to
# Arno Schaefer for his help.
#
# Revision 1.4  1995/08/15  17:16:08  gaertner
# Added alloca.c to the distribution. It's added to the library
# now on installation.
#
# Revision 1.3  1995/04/27  07:51:59  gaertner
# Added the COPYING file to the list that is bundled.
#
# Revision 1.2  1995/04/26  17:00:30  gaertner
# Added rcs entries to file.
#

=== attr/Makefile ===
# $Id: Makefile,v 2.0 1996/12/16 16:44:14 gaertner Exp $
# ----------------------------------------------------------------------

#
# Makefile for Attribute class and testers.
#

# ----------------------------------------------------------------------
# Here are the things that determine the configuration:
# ----------------------------------------------------------------------

# what compiler do we use?
CC 	= g++

# compiler flags:
CFLAGS	= -g -I../include -L.. -lpretzel

# Groups of files:

# all noweb sources
NOWEBS	= attr.nw attrtest.nw

# root chunk name of headers
HEADERCHUNK	= header

# root chunk name of implementation
IMPLEMENTATIONCHUNK	= implementation

# all `WEB' sources (old)
#WEBS	= attr.spc attr.w attrtest.w

# all other program WEB sources (old)
ETCWEBS	=

# all TeX documents
TEXDOCS	=

# all other files for the distribution
DISTFILES = Makefile test.output.correct

# name of the distribution package
DISTNAME =


# Which program to make by default:
PROG	= attrtest

# objects of this program:
OBJS 	= attrtest.o attr.o

# objects to release
RELOBJS	= attr.o

# headers created
HEADRS	= attr.h

# C sources of this program:
CSRCES	= attrtest.c attr.c

# these files can be deleted too if we say `make clean'
REST	= attr.aux attr.idx attr.log attr.scn attr.tex attr.toc	\
		attrtest.aux attrtest.idx attrtest.log attrtest.scn \
		attrtest.tex attrtest.toc attr.dvi test.output 	\
		attrtest.dvi

# ----------------------------------------------------------------------
# these are all the headers for the compiler
HEADERS = $(HEADRS)

# these are all the objects for the compiler
OBJECTS = $(OBJS)

# these are all the C sources to make the objects
CSOURCES = $(CSRCES)

# These are all of the flags for the compiler:
CCFLAGS = $(CFLAGS) $(DBVERSION)

# these are all C sources that might possibly crop up
ALLCSRCS = $(CSOURCES)

# these are all object files that may appear
ALLOBJS = $(OBJECTS)

# these are all header files produced from WEBs that may appear
ALLHEADERS = $(HEADERS)

# these are all the executables that could be produced
ALLPROGS = attrtest

# ----------------------------------------------------------------------

CWEAVE 	= cweave
CTANGLE	= ctangle
NOTANGLE= notangle
NOWEAVE	= noweave
TEX 	= tex
DVIPS 	= dvips
REMOVE	= rm -f
MAKE	= make
LEX	= flex -d
#LEX	= lex
YACC	= bison
#YACC	= yacc
TEX	= tex
LATEX	= tex-it latex

# ----------------------------------------------------------------------

.SUFFIXES:	.nw .spc .ps .tex .dvi .w .c .o .h

# overall rules:

.nw.tex:
	$(NOWEAVE) -delay -index $*.nw > $*.tex

.w.tex:
	$(CWEAVE) $*

.tex.dvi:
	$(LATEX) $<

.w.dvi:
	$(MAKE) $*.tex
	$(MAKE) $*.dvi

.dvi.ps:
	$(DVIPS) $< -o $*.ps

.nw.h:
	$(NOTANGLE) -L -R$(HEADERCHUNK) $*.nw > $*.h

.nw.c:
	$(NOTANGLE) -L -R$(IMPLEMENTATIONCHUNK) $*.nw > $*.c

.w.c:
	$(CTANGLE) $*

.spc.h:
	$(CTANGLE) $*.spc - $*.h

#.w.o:
#	$(MAKE) $*.c
#	$(MAKE) $*.o

.c.o:
	$(CC) $(CCFLAGS) -c $*.c



# ----------------------------------------------------------------------

# regenerate whole system:


system: $(PROG)


$(PROG): $(OBJECTS)
	$(CC) $(CCFLAGS) -o $@ $(OBJECTS)

$(OBJS): $(HEADERS) $(CSRCES)



# list all source code:

#print:


# apply lint to all C sources:

#lint:


# regression:
regression: $(PROG)
	attrtest > test.output
	if  diff test.output test.output.correct;		\
		then echo "Regression test is fine."; 		\
		else echo "Regression test failed.";		\
		fi


# remove all intermediate products but not executables or sources!

clean:
	$(REMOVE) $(ALLOBJS) $(ALLCSRCS) $(ALLHEADERS) $(REST)


# remove everything that doesn't belong to original source:

clobber: clean
	$(REMOVE) $(ALLPROGS)


# bundle source files together into an archive:

#bundle:
#	tar cf $(DISTNAME).tar 			\
#		$(WEBS) $(ETCWEBS) $(TEXDOCS) $(DISTFILES)


# copy executables into PATH directories, et al.

#install:


# release headers and object code:
release: $(HEADERS) $(RELOBJS)
	cp $(HEADERS) ../include
	ar vrus ../libpretzel.a $(RELOBJS)




# ======================================================================
#
# $Log: Makefile,v $
# Revision 2.0  1996/12/16 16:44:14  gaertner
# *** empty log message ***
#
# Revision 1.6  1995/04/26  17:22:25  gaertner
# Making dvi uses LaTeX now.
# You can make a regression test now.
# Compiling and releasing use lpretzel library.
#
# Revision 1.5  1994/10/31  19:00:05  gaertner
# Now make bundle works and creates attr.tar
#
# Revision 1.4  1994/10/24  16:46:09  gaertner
# Now the attrtest.o object isn't released.
#
# Revision 1.3  1994/10/07  10:36:46  gaertner
# Now all LaTeX intermediates will be removed too if you make clean.
#
# Revision 1.2  1994/10/04  18:40:44  gaertner
# Initial revision of the simple granny version.
#
#

=== fgrammar/Makefile ===
# $Id: Makefile,v 1.13 1996/09/12 18:43:27 gaertner Exp gaertner $
# ----------------------------------------------------------------------

#
# Makefile for formatted grammar file scanner and parser
#

# ----------------------------------------------------------------------
# Here are the things that determine the configuration:
# ----------------------------------------------------------------------

# what compiler do we use?
CC 	= g++

# de-comment this if you want a debug version:
#DBVERSION = -D XXX

# compiler flags:
CFLAGS	= -g -I../include -L.. -lpretzel

# prefix for globals of scanner and parser (`yy' by default)
GLOBALSPREFIX = Pretzel_fg

# ----------------------------------------------------------------------
# ----------------------------------------------------------------------
# You probably don't need to change anything from here:
# ----------------------------------------------------------------------
# ----------------------------------------------------------------------

# Groups of files:

# all noweb sources
NOWEBS	= fgscan.nw fgparse.nw fgrammar.nw

# root chunk name of headers
HEADERCHUNK     = header

# root chunk name of C implementation
IMPLEMENTATIONCHUNK     = implementation

# root chunk name of flex implementation
FLEXIMPLCHUNK   = flex-implementation

# root chunk name of bison implementation
BISONIMPLCHUNK  = bison-implementation

# all `WEB' sources (old)
#WEBS	= fgscan.spc fgscan.l fgparse.spc fgparse.y fgrammar.w

# all other program WEB sources (old)
#ETCWEBS	= pparse.spc

# all TeX documents
TEXDOCS	=

# all other files for the distribution
DISTFILES = Makefile pascal.fg test.output.correct README

# name of the distribution package
DISTNAME =

# Which program to make by default:
PROG	= fgrammar

# objects of this program:
OBJS 	= fgscan.o fgparse.o fgrammar.o

# objects to be released:
RELOBJS	= fgparse.o fgscan.o

# C sources of this program:
CSRCES	= fgscan.c fgparse.c fgrammar.c

# intermediate products from which C sources are made
INTERMEDIATES = fgscan.l fgparse.y

# crap to be removed when making clean:
OTHERCRAP = fgparse.aux fgparse.dvi fgparse.idx fgparse.log 	\
		fgparse.scn fgparse.tex fgparse.toc		\
		fgscan.aux fgscan.dvi fgscan.idx fgscan.log	\
		fgscan.scn fgscan.tex fgscan.toc		\
		fgscan.l fgparse.y				\
		pparse.dvi pparse.idx pparse.log pparse.scn	\
		pparse.tex pparse.toc				\
		Pparse.h Ppparse.h				\
		fgrammar.aux fgrammar.dvi fgrammar.idx fgrammar.log	\
		fgrammar.scn fgrammar.tex test.output



# ----------------------------------------------------------------------
# these are all the headers for the compiler
HEADERS = fgscan.h fgparse.h fgramdefs.h Pparse.h Ppparse.h

# these are all the objects for the compiler
OBJECTS = $(OBJS)

# these are all the C sources to make the objects
CSOURCES = $(CSRCES)

# These are all of the flags for the compiler:
CCFLAGS = $(CFLAGS) $(DBVERSION)

# these are all C sources that might possibly crop up
ALLCSRCS = $(CSOURCES)

# these are all object files that may appear
ALLOBJS = $(OBJECTS)

# these are all header files produced from WEBs that may appear
ALLHEADERS = $(HEADERS)

# these are all the executables that could be produced
ALLPROGS = $(PROG)

# ----------------------------------------------------------------------

CWEAVE 	= cweave
CTANGLE	= ctangle
NOTANGLE= notangle
NOWEAVE = noweave
TEX 	= tex
DVIPS 	= dvips
REMOVE	= rm -f
MAKE	= make
LEX	= flex
#LEX	= lex
YACC	= bison
#YACC	= yacc
TEX	= tex
LATEX	= tex-it latex
CPIF	= cpif

# ----------------------------------------------------------------------

BISONOPTIONS 	= -p$(GLOBALSPREFIX)
FLEXOPTIONS 	= -L -P$(GLOBALSPREFIX)

# ----------------------------------------------------------------------

.SUFFIXES:	.nw .spc .ps .tex .dvi .w .c .o .h

# overall rules:

.nw.tex:
	$(NOWEAVE) -delay $*.nw > $*.tex


.w.tex:
	$(CWEAVE) $*

.tex.dvi:
	$(LATEX) $<

.w.dvi:
	$(MAKE) $*.tex
	$(MAKE) $*.dvi

.dvi.ps:
	$(DVIPS) $< -o $*.ps

.nw.h:
	$(NOTANGLE) -L -R$(HEADERCHUNK) $*.nw | $(CPIF) $*.h

.nw.c:
	$(NOTANGLE) -L -R$(IMPLEMENTATIONCHUNK) $*.nw | $(CPIF) $*.c

.nw.l:
	$(NOTANGLE) -R$(FLEXIMPLCHUNK) $*.nw | $(CPIF) $*.l

.nw.y:
	$(NOTANGLE) -R$(BISONIMPLCHUNK) $*.nw | $(CPIF) $*.y

.w.c:
	$(CTANGLE) $*

.spc.h:
	$(CTANGLE) $*.spc - $*.h

#.w.o:
#	$(MAKE) $*.c
#	$(MAKE) $*.o

.c.o:
	$(CC) -c $*.c $(CCFLAGS)

.y.c:
	$(YACC) $(BISONOPTIONS) $*.y
	mv $*.tab.c $*.c

.l.c:
	$(LEX) $(FLEXOPTIONS) $*.l
	mv lex.$(GLOBALSPREFIX).c $*.c

# ----------------------------------------------------------------------

# regenerate whole system:


system: $(PROG)


$(PROG): $(OBJECTS)
	$(CC) -o $@ $(OBJECTS) $(CCFLAGS)

$(OBJS): $(HEADERS) $(CSRCES)

$(CSRCES): $(INTERMEDIATES)

# make the common token header file
fgramdefs.h: fgparse.y
	$(YACC) -d fgparse.y
	mv fgparse.tab.h fgramdefs.h

Ppparse.h: fgparse.nw
	$(NOTANGLE) -R"header file for prettyprinting parser" fgparse.nw >Ppparse.h

Pparse.h: fgparse.nw
	$(NOTANGLE) -R"header file for abstract base class of [[Pparse]]" fgparse.nw >Pparse.h


# list all source code:

print:


# apply lint to all C sources:

lint:

# regression:
regression: $(PROG)
	./fgrammar <pascal.fg > test.output
	if  diff test.output test.output.correct;		\
		then echo "Regression test is fine."; 		\
		else echo "Regression test failed.";		\
		fi

# remove all intermediate products but not executables or sources!

clean:
	$(REMOVE) $(ALLOBJS) $(ALLCSRCS) $(ALLHEADERS) $(OTHERCRAP)


# remove everything that doesn't belong to original source:

clobber: clean
	$(REMOVE) $(ALLPROGS)


# bundle source files together into an archive:

#bundle:
#	tar cf $(DISTNAME).tar 			\
#		$(WEBS) $(ETCWEBS) $(TEXDOCS) $(DISTFILES)


# copy executables into PATH directories, et al.

install:


# release a new version:

release: $(HEADERS) $(RELOBJS)
	cp $(HEADERS) ../include
	ar vrus ../libpretzel.a $(RELOBJS)



# ======================================================================
#
# $Log: Makefile,v $
# Revision 1.13  1996/09/12  18:43:27  gaertner
# Changed to g++ and noweb
#
# Revision 1.12  1996/03/21  08:14:06  gaertner
# Changed to make it work with the new noweb versions of the files.
#
# Revision 1.11  1995/08/15  17:21:54  gaertner
# Moved CC options to the end of the command line for portability.
#
# Revision 1.10  1995/08/15  16:52:53  gaertner
# Catered for multiple scanners: Added variables GLOBALSPREFIX
# and BISONOPTIONS/FLEXOPTIONS that instruct Bison and flex
# to prefix all globals with `yyfgrammar'.
#
# Revision 1.9  1995/04/26  17:56:11  gaertner
# Now README is recognized and bundled too.
#
# Revision 1.8  1995/04/26  17:50:13  gaertner
# Compiling/releasing uses lpretzel library now.
# You can make a regression test now.
# Making dvi's uses LaTeX now.
#
# Revision 1.7  1994/10/31  19:04:32  gaertner
# Now make bundle creates fgrammar.tar
#
# Revision 1.6  1994/10/24  16:51:50  gaertner
# Now fgrammar.o isn't released anymore.
#
# Revision 1.5  1994/10/24  16:29:32  gaertner
# Changed pscan.spc to pparse.spc (was a mistake).
#
# Revision 1.4  1994/10/24  16:19:41  gaertner
# Added pscan.h as header. It is released too.
#
# Revision 1.3  1994/10/19  18:40:47  gaertner
# Added dependency of fgramdefs.h file.
#
# Revision 1.2  1994/10/18  18:53:51  gaertner
# First revision using the Makefile template.
#
#

=== ftokens/Makefile ===
# $Id: Makefile,v 1.12 1996/09/12 18:42:11 gaertner Exp $
# ----------------------------------------------------------------------

#
# Makefile for the formatted token file scanner and parser
#


# ----------------------------------------------------------------------
# Here are the things that determine the configuration:
# ----------------------------------------------------------------------

# what compiler do we use?
CC 	= g++

# de-comment this if you want a debug version:
#DBVERSION = -D XXX

# flags :
CFLAGS 	= -g -I../include -L.. -lpretzel

# prefix for globals of scanner and parser (`yy' by default)
GLOBALSPREFIX = Pretzel_ft

# ----------------------------------------------------------------------
# ----------------------------------------------------------------------
# You probably don't need to change anything from here:
# ----------------------------------------------------------------------
# ----------------------------------------------------------------------

# Groups of files:

# all noweb sources
NOWEBS	= ftscan.nw ftparse.nw ftokens.nw

# root chunk name of headers
HEADERCHUNK	= header

# root chunk name of C implementation
IMPLEMENTATIONCHUNK	= implementation

# root chunk name of flex implementation
FLEXIMPLCHUNK	= flex-implementation

# root chunk name of bison implementation
BISONIMPLCHUNK	= bison-implementation

# all `WEB' sources (old)
#WEBS	= ftokens.w ftparse.spc ftparse.y ftscan.spc ftscan.l

# all other program WEB sources (old)
#ETCWEBS	= pscan.spc

# all TeX documents
TEXDOCS	=

# all other files for the distribution
DISTFILES = Makefile pascal.ft test.output.correct README

# name of the distribution package
DISTNAME =


# Which program to make by default:
PROG	= ftokens

# objects of this program:
OBJS 	= ftokens.o ftparse.o ftscan.o

# objects to be released:
RELOBJS	= ftparse.o ftscan.o

# C sources of this program:
CSRCES	= ftokens.c ftparse.c ftscan.c

# intermediate products from which C sources are made
INTERMEDIATES = ftscan.l ftparse.y

# stuff to be deleted when cleaning up:
OTHERCRAP = ftparse.aux ftparse.dvi ftparse.idx ftparse.log 	\
		ftparse.scn ftparse.tex	ftparse.toc		\
		ftscan.aux ftscan.dvi ftscan.idx ftscan.log	\
		ftscan.scn ftscan.tex ftscan.toc		\
		ftscan.l ftparse.y				\
		pscan.dvi pscan.idx pscan.log pscan.scn	 	\
		pscan.tex pscan.toc				\
		Pscan.h Ppscan.h				\
		ftokens.aux ftokens.dvi ftokens.idx ftokens.log	\
		ftokens.scn ftokens.tex test.output

# ----------------------------------------------------------------------
# these are all the headers for the compiler
HEADERS = ftparse.h ftscan.h ftokdefs.h Pscan.h Ppscan.h

# these are all the objects for the compiler
OBJECTS = $(OBJS)

# these are all the C sources to make the objects
CSOURCES = $(CSRCES)

# These are all of the flags for the compiler:
CCFLAGS = $(CFLAGS) $(DBVERSION)

# these are all C sources that might possibly crop up
ALLCSRCS = $(CSOURCES)

# these are all object files that may appear
ALLOBJS = $(OBJECTS)

# these are all header files produced from WEBs that may appear
ALLHEADERS = $(HEADERS)

# these are all the executables that could be produced
ALLPROGS = ftokens

# ----------------------------------------------------------------------

CWEAVE 	= cweave
CTANGLE	= ctangle
NOTANGLE= notangle
NOWEAVE	= noweave
TEX 	= tex
DVIPS 	= dvips
REMOVE	= rm -f
MAKE	= make
LEX	= flex
#LEX	= lex
YACC	= bison
#YACC	= yacc
TEX	= tex
LATEX	= tex-it latex

# ----------------------------------------------------------------------

BISONOPTIONS 	= -p$(GLOBALSPREFIX)
FLEXOPTIONS 	= -L -P$(GLOBALSPREFIX)

# ----------------------------------------------------------------------

.SUFFIXES:	.nw .spc .ps .tex .dvi .w .c .o .h

# overall rules:

.nw.tex:
	$(NOWEAVE) -delay $*.nw > $*.tex

.w.tex:
	$(CWEAVE) $*

.tex.dvi:
	$(LATEX) $<

.w.dvi:
	$(MAKE) $*.tex
	$(MAKE) $*.dvi

.dvi.ps:
	$(DVIPS) $< -o $*.ps

.nw.h:
	$(NOTANGLE) -L -R$(HEADERCHUNK) $*.nw > $*.h

.nw.c:
	$(NOTANGLE) -L -R$(IMPLEMENTATIONCHUNK) $*.nw > $*.c

.nw.l:
	$(NOTANGLE) -R$(FLEXIMPLCHUNK) $*.nw > $*.l

.nw.y:
	$(NOTANGLE) -R$(BISONIMPLCHUNK) $*.nw > $*.y

.w.c:
	$(CTANGLE) $*

.spc.h:
	$(CTANGLE) $*.spc - $*.h

#.w.o:
#	$(MAKE) $*.c
#	$(MAKE) $*.o

.c.o:
	$(CC) -c $*.c $(CCFLAGS)


.y.c:
	$(YACC) $(BISONOPTIONS) $*.y
	mv $*.tab.c $*.c

.l.c:
	$(LEX) -t $(FLEXOPTIONS) $*.l > $*.c

# ----------------------------------------------------------------------

# regenerate whole system:


system: $(PROG)


$(PROG): $(OBJECTS)
	$(CC) -o $@ $(OBJECTS) $(CCFLAGS)

$(OBJS): $(HEADERS) $(CSRCES)

$(CSRCES): $(INTERMEDIATES)

# make the common token header
ftokdefs.h: ftparse.y
	$(YACC) -d ftparse.y
	mv ftparse.tab.h ftokdefs.h

Ppscan.h: ftparse.nw
	$(NOTANGLE) -R"header file for prettyprinting scanner" ftparse.nw >Ppscan.h

Pscan.h: ftparse.nw
	$(NOTANGLE) -R"header file for abstract base class of [[Pscan]]" ftparse.nw >Pscan.h

# regression:
regression: $(PROG)
	./ftokens <pascal.ft > test.output
	if  diff test.output test.output.correct;		\
		then echo "Regression test is fine."; 		\
		else echo "Regression test failed.";		\
		fi


# list all source code:

print:


# apply lint to all C sources:

lint:


# remove all intermediate products but not executables or sources!

clean:
	$(REMOVE) $(ALLOBJS) $(ALLCSRCS) $(ALLHEADERS) $(OTHERCRAP)


# remove everything that doesn't belong to original source:

clobber: clean
	$(REMOVE) $(ALLPROGS)


# bundle source files together into an archive:

#bundle:
#	tar cf $(DISTNAME).tar 			\
#		$(WEBS) $(ETCWEBS) $(TEXDOCS) $(DISTFILES)


# copy executables into PATH directories, et al.

install:


# release a new version:

release: $(HEADERS) $(RELOBJS)
	cp $(HEADERS) ../include
	ar vrus ../libpretzel.a $(RELOBJS)



# ======================================================================
#
# $Log: Makefile,v $
# Revision 1.12  1996/09/12  18:42:11  gaertner
# Changed to g++.
#
# Revision 1.11  1996/03/19  16:04:49  gaertner
# Tailored for the new noweb versions of the files.
#
# Revision 1.11  1996/03/19  16:04:49  gaertner
# Tailored for the new noweb versions of the files.
#
# Revision 1.10  1996/03/15  13:39:12  gaertner
# Check in before switching to noweb.
#
# Revision 1.9  1995/08/15  17:20:11  gaertner
# Moved options of CC to the end of the command line for portability.
#
# Revision 1.9  1995/08/15  17:20:11  gaertner
# Moved options of CC to the end of the command line for portability.
#
# Revision 1.8  1995/08/15  17:03:30  gaertner
# Added possibility to change the global prefix of scanner and
# parser variables.
#
# Revision 1.7  1995/04/26  18:06:46  gaertner
# You can now make a regression test.
# Compiling/releasing use lpretzel library.
# Making .dvi's will use LaTeX. Invoke TeX manually if you want to
# get a printout of the pscan.spc file.
#
# Revision 1.6  1994/10/31  19:03:27  gaertner
# Now make bundle creates ftokens.tar
#
# Revision 1.5  1994/10/24  16:49:48  gaertner
# now the ftokens.o object isn't released anymore.
#
# Revision 1.4  1994/10/24  16:30:29  gaertner
# Added pscan.spc that is also released.
#
# Revision 1.3  1994/10/18  10:58:30  gaertner
# Flex doesn't run in debug mode anymore.
#
# Revision 1.2  1994/10/14  15:54:38  gaertner
# Initial revision of granny version using the Makefile
# template.
#
#

=== main/Makefile ===
# $Id: Makefile,v 2.0 1996/12/16 17:33:16 gaertner Exp $
# ----------------------------------------------------------------------

#
# Makefile for the main pretzel program and plainpp/plaindpp files
#

# this is the current version
VERSION	= 2.0

# ----------------------------------------------------------------------
# Here are the things that determine the configuration:
# ----------------------------------------------------------------------

# what compiler do we use?
CC 	= g++

# de-comment this if you want a debug version:
#DBVERSION = -D PRETZEL_DEBUG

# compiler flags:
CFLAGS 	= -g -I../include -L.. -lpretzel


# ----------------------------------------------------------------------
# ----------------------------------------------------------------------
# You probably don't need to change anything from here:
# ----------------------------------------------------------------------
# ----------------------------------------------------------------------

# Groups of files:

# all noweb sources
NOWEBS	= pretzel.nw

# root chunk name of headers
HEADERCHUNK     = header

# root chunk name of implementation
IMPLEMENTATIONCHUNK     = implementation

# all `WEB' sources (old)
#WEBS	= pretzel.w

# all other program WEB sources (old)
#ETCWEBS	=

# all TeX documents
TEXDOCS	=

# all other files for the distribution
DISTFILES = Makefile pascal.correct.l pascal.correct.y pascal.ft pascal.fg \
	plainpp.c plaindpp.c

# name of the distribution package
#DISTNAME = main


# Which program to make by default:
PROG	= pretzel

# objects of this program:
OBJS 	= pretzel.o

# C sources of this program:
CSRCES	= pretzel.c

# these objects should be created too:
RELOBJS	= plainpp.o plaindpp.o

# all stuff to be removed too:
OTHERCRAP = pretzel.tex pretzel.aux pretzel.idx pretzel.log 	\
		pretzel.scn pretzel.toc pretzel.dvi 		\
		pascal.l pascal.y

# ----------------------------------------------------------------------
# these are all the headers for the compiler
HEADERS =

# these are all the objects for the compiler
OBJECTS = $(OBJS)

# these are all the C sources to make the objects
CSOURCES = $(CSRCES)

# These are all of the flags for the compiler:
CCFLAGS = $(CFLAGS) $(DBVERSION)

# these are all C sources that might possibly crop up
ALLCSRCS = $(CSOURCES)

# these are all object files that may appear
ALLOBJS = $(OBJECTS) $(RELOBJS)

# these are all header files produced from WEBs that may appear
ALLHEADERS =

# these are all the executables that could be produced
ALLPROGS = $(PROG)

# ----------------------------------------------------------------------

CWEAVE 	= cweave
CTANGLE	= ctangle
NOTANGLE= notangle
NOWEAVE = noweave
TEX 	= tex
DVIPS 	= dvips
REMOVE	= rm -f
MAKE	= make
LEX	= flex -d
#LEX	= lex
YACC	= bison
#YACC	= yacc
TEX	= tex
LATEX	= tex-it latex

# ----------------------------------------------------------------------

.SUFFIXES:	.nw .spc .ps .tex .dvi .w .c .o .h

# overall rules:

.nw.tex:
	$(NOWEAVE) -delay $*.nw > $*.tex

.w.tex:
	$(CWEAVE) $*

.tex.dvi:
	$(LATEX) $<

.w.dvi:
	$(MAKE) $*.tex
	$(MAKE) $*.dvi

.dvi.ps:
	$(DVIPS) $< -o $*.ps

.nw.h:
	$(NOTANGLE) -L -R$(HEADERCHUNK) $*.nw > $*.h

.nw.c:
	$(NOTANGLE) -L -R$(IMPLEMENTATIONCHUNK) $*.nw > $*.c

.w.c:
	$(CTANGLE) $*

.spc.h:
	$(CTANGLE) $*.spc - $*.h

#.w.o:
#	$(MAKE) $*.c
#	$(MAKE) $*.o

.c.o:
	$(CC) $(CCFLAGS) -c $*.c



# ----------------------------------------------------------------------

# regenerate whole system:


system: $(PROG)


$(PROG): $(OBJECTS)
	$(CC) -o $@ $(OBJECTS) $(CCFLAGS)

$(OBJS): $(HEADERS) $(CSRCES)


# list all source code:

print:


# apply lint to all C sources:

lint:


# remove all intermediate products but not executables or sources!

clean:
	$(REMOVE) $(ALLOBJS) $(ALLCSRCS) $(ALLHEADERS) $(OTHERCRAP)


# remove everything that doesn't belong to original source:

clobber: clean
	$(REMOVE) $(ALLPROGS)
	$(REMOVE) $(DISTNAME).tar


# bundle source files together into an archive:

#bundle:
#	tar cf $(DISTNAME).tar 			\
#		$(WEBS) $(ETCWEBS) $(TEXDOCS) $(DISTFILES)

# make a regression test:
regression: $(PROG)
	./pretzel pascal
	if { diff pascal.l pascal.correct.l && 		\
		diff pascal.y pascal.correct.y; } 	\
		then echo "Regression test is fine.";	\
	else echo "Regression test failed.";		\
	fi


# copy executables into PATH directories, et al.

release: $(PROG) $(RELOBJS)
	cp $(PROG) ../bin
	cp $(RELOBJS) ..



# ======================================================================
#
# $Log: Makefile,v $
# Revision 2.0  1996/12/16 17:33:16  gaertner
# *** empty log message ***
#
# Revision 1.9  1996/09/12  18:40:05  gaertner
# Changed CC to g++ and added $(PROG) to regression line.
#
# Revision 1.8  1996/03/22  11:21:36  gaertner
# Uses noweb stuff now.
# Added plaindpp.c/o parts.
#
# Revision 1.7  1995/09/07  17:36:59  gaertner
# Changed target `install' to `release'.
#
# Revision 1.6  1995/04/26  16:47:09  gaertner
# The .w.dvi implicit rule now uses Latex.
# The used library is now lpretzel.
# The binary is copied to ../bin instead of ../../bin (this
# makes it more portable).
# You can make a regression test with `make regression'.
# `clean' now removes all stuff produced by regression and Latex'ing
# of pretzel.w.
# `clobber' also removes main.tar
#
# Revision 1.5  1994/10/31  19:06:06  gaertner
# Now make bundle makes main.tar
#
# Revision 1.4  1994/10/24  17:45:58  gaertner
# Doesn't create a debug version anymore.
#
# Revision 1.3  1994/10/24  17:14:14  gaertner
# Installs pretzel to ../../bin when you `make install'.
#
# Revision 1.2  1994/10/21  17:36:00  gaertner
# Compiles with PRETZEL_DEBUG set.
#
# Revision 1.1  1994/10/21  17:16:54  gaertner
# Initial revision
#
#

=== man/Makefile ===
# $Id: Makefile,v 1.1 1998/03/13 08:16:18 gaertner Exp $
#----------------------------------------------------------------------

#
# Makefile for pretzel and pretzel-it manpages
#


# have a look at both -- I forgot the line :-(

pretzel:
	nroff -man pretzel.1 | less

pretzel.1.ps: pretzel.1
	groff -man pretzel.1 > pretzel.1.ps

pretzel-it:
	nroff -man pretzel-it.1 | less

pretzel-it.1.ps: pretzel-it.1
	groff -man pretzel-it.1 > pretzel-it.1.ps

# DO NOT USE WHEN INSTALLING

release:
	cp pretzel-it.1 pretzel.1 /users/gaertner/man/man1

=== output/Makefile ===
# $Id: Makefile,v 1.7 1996/03/13 11:31:26 gaertner Exp gaertner $
# ----------------------------------------------------------------------

#
# Makefile for Output class and testers.
#
#

# ----------------------------------------------------------------------
# Here are the things that determine the configuration:
# ----------------------------------------------------------------------

# what compiler do we use?
CC 	= g++

# de-comment this if you want a debug version:
#DBVERSION = -D XXX

# flags for cc:
CFLAGS	= -I../include -L.. -lpretzel -g

# Groups of files:

# all noweb sources
NOWEBS	= output.nw outtest.nw blankoutput.nw asciioutput.nw

# root chunk name of headers
HEADERCHUNK	= header

# root chunk name of implementation
IMPLEMENTATIONCHUNK	= implementation

# all `WEB' sources (old)
#WEBS	= output.spc output.w outtest.w

# all other program WEB sources (old)
#ETCWEBS	=

# all TeX documents
TEXDOCS	=

# all other files for the distribution
DISTFILES = Makefile test.output.correct

# name of the distribution package
DISTNAME = output


# Which program to make by default:
PROG	= outtest

# objects of this program:
OBJS 	= outtest.o output.o asciioutput.o

# objects to be released:
RELOBJS	= output.o asciioutput.o

#
RELHEADERS = output.h asciioutput.h

# C sources of this program:
CSRCES	= outtest.c output.c asciioutput.c

# these files are crap and may be deleted if we say `make clean'
REST	= dvidriv.prt output.aux output.idx output.log output.scn 	\
		output.tex output.toc outtest.aux outtest.idx		\
		outtest.log outtest.scn outtest.tex outtest.toc		\
		outtest.dvi output.dvi test.output			\
		asciioutput.aux asciioutput.idx asciioutput.log		\
		asciioutput.scn asciioutput.tex asciioutput.toc

# ----------------------------------------------------------------------
# ----------------------------------------------------------------------
# You probably don't need to change anything from here:
# ----------------------------------------------------------------------
# ----------------------------------------------------------------------


# ----------------------------------------------------------------------
# these are all the headers for the compiler
HEADERS = output.h asciioutput.h

# these are all the objects for the compiler
OBJECTS = $(OBJS)

# these are all the C sources to make the objects
CSOURCES = $(CSRCES)

# These are all of the flags for the compiler:
CCFLAGS = $(CFLAGS) $(DBVERSION)

# these are all C sources that might possibly crop up
ALLCSRCS = $(CSOURCES)

# these are all object files that may appear
ALLOBJS = $(OBJECTS)

# these are all header files produced from WEBs that may appear
ALLHEADERS = $(HEADERS)

# these are all the executables that could be produced
ALLPROGS = outtest

# ----------------------------------------------------------------------

CWEAVE 	= cweave
CTANGLE	= ctangle
NOTANGLE= notangle
NOWEAVE	= noweave
TEX 	= tex
DVIPS 	= dvips
REMOVE	= rm -f
MAKE	= make
LEX	= flex -d
#LEX	= lex
YACC	= bison
#YACC	= yacc
TEX	= tex
LATEX	= tex-it latex

# ----------------------------------------------------------------------

.SUFFIXES:	.nw .spc .ps .tex .dvi .w .c .o .h

# overall rules:

.nw.tex:
	$(NOWEAVE) -delay -index $*.nw > $*.tex

.w.tex:
	$(CWEAVE) $*

.tex.dvi:
	$(LATEX) $<

.w.dvi:
	$(MAKE) $*.tex
	$(MAKE) $*.dvi

.dvi.ps:
	$(DVIPS) $< -o $*.ps

.nw.h:
	$(NOTANGLE) -L -R$(HEADERCHUNK) $*.nw > $*.h

.nw.c:
	$(NOTANGLE) -L -R$(IMPLEMENTATIONCHUNK) $*.nw > $*.c

.w.c:
	$(CTANGLE) $*

.spc.h:
	$(CTANGLE) $*.spc - $*.h

#.w.o:
#	$(MAKE) $*.c
#	$(MAKE) $*.o

.c.o:
	$(CC) $(CCFLAGS) -c $*.c



# ----------------------------------------------------------------------

# regenerate whole system:


system: $(PROG)


$(PROG): $(OBJECTS)
	$(CC) $(OBJECTS) $(CCFLAGS) -o $@

$(OBJS): $(HEADERS) $(CSRCES)

# make a copy of the specs
specs: output.spc
	$(CWEAVE) output.spc - output.tex
	$(LATEX) output.tex


# list all source code:

print:


# apply lint to all C sources:

lint:

# regression:
regression: $(PROG)
	outtest > test.output
	if  diff test.output test.output.correct;		\
		then echo "Regression test is fine."; 		\
		else echo "Regression test failed.";		\
		fi

# remove all intermediate products but not executables or sources!

clean:
	$(REMOVE) $(ALLOBJS) $(ALLCSRCS) $(ALLHEADERS) $(REST)


# remove everything that doesn't belong to original source:

clobber: clean
	$(REMOVE) $(ALLPROGS)


# bundle source files together into an archive:

#bundle:
#	tar cf $(DISTNAME).tar 			\
#		$(WEBS) $(ETCWEBS) $(TEXDOCS) $(DISTFILES)


# copy executables into PATH directories, et al.

#install:


# make a release
release: $(RELHEADERS) $(RELOBJS)
	cp $(RELHEADERS) ../include
	ar vrus ../libpretzel.a $(RELOBJS)



# ======================================================================
#
# $Log: Makefile,v $
# Revision 1.7  1996/03/13  11:31:26  gaertner
# Updated for use of new noweb ports of output.
#
# Revision 1.6  1995/04/26  17:35:37  gaertner
# You can make specs now to get a printed output of the
# specifications.
# The release and compile use lpretzel library.
# You can make a regression test now.
#
# Revision 1.5  1994/10/31  19:01:59  gaertner
# Now make bundle creates output.tar.
#
# Revision 1.4  1994/10/24  16:48:00  gaertner
# Now outtest.o isn't released anymore.
#
# Revision 1.3  1994/10/07  07:48:22  gaertner
# `make clean' will remove LaTeX intermediate products now.
#
# Revision 1.2  1994/10/05  18:43:11  gaertner
# First revision using the Makefile template.
#
#

=== pretzel-it/Makefile ===
# $Id: Makefile,v 2.1 1998/12/03 10:57:53 felix Exp $
# ----------------------------------------------------------------------

#
# Makefile for pretzel-it
#
# It's not much of a Makefile. It's mainly for making a release
# and testing.
#
# (Note that the .tex.dvi implicit rule uses LaTeX instead of TeX)

# ----------------------------------------------------------------------
# Here are the things that determine the configuration:
# ----------------------------------------------------------------------

# what compiler do we use?
CC 	= CC

# de-comment this if you want a debug version:
#DBVERSION = -D PRETZEL_DEBUG

# compiler flags:
CFLAGS 	= -g -I../include -L.. -lpretzel


# ----------------------------------------------------------------------
# ----------------------------------------------------------------------
# You probably don't need to change anything from here:
# ----------------------------------------------------------------------
# ----------------------------------------------------------------------

# Groups of files:

# all `WEB' sources
WEBS	=

# all other program WEB sources
ETCWEBS	=

# all TeX documents
TEXDOCS	=

# all other files for the distribution
DISTFILES =

# name of the distribution package
DISTNAME =


# Which program to make by default:
PROG	= pretzel-it

# objects of this program:
OBJS 	= dummy

# C sources of this program:
CSRCES	=

# all stuff to be removed too:
OTHERCRAP = ptokdefs.h test.l test.y test.lex.c test.lex.o test.tab.c 	\
		test.tab.o test.y testpp

# ----------------------------------------------------------------------
# these are all the headers for the compiler
HEADERS =

# these are all the objects for the compiler
OBJECTS = $(OBJS)

# these are all the C sources to make the objects
CSOURCES = $(CSRCES)

# These are all of the flags for the compiler:
CCFLAGS = $(CFLAGS) $(DBVERSION)

# these are all C sources that might possibly crop up
ALLCSRCS = $(CSOURCES)

# these are all object files that may appear
ALLOBJS = $(OBJECTS)

# these are all header files produced from WEBs that may appear
ALLHEADERS =

# these are all the executables that could be produced
ALLPROGS = $(PROG)

# ----------------------------------------------------------------------

CWEAVE 	= cweave
CTANGLE	= ctangle
TEX 	= tex
DVIPS 	= dvips
REMOVE	= rm -f
MAKE	= make
LEX	= flex -d
#LEX	= lex
YACC	= bison
#YACC	= yacc
TEX	= tex
LATEX	= latex

# ----------------------------------------------------------------------

.SUFFIXES:	.spc .ps .tex .dvi .w .c .o .h

# overall rules:

.w.tex:
	$(CWEAVE) $*

.tex.dvi:
	$(LATEX) $<

.w.dvi:
	$(MAKE) $*.tex
	$(MAKE) $*.dvi

.dvi.ps:
	$(DVIPS) $< -o $*.ps

.w.c:
	$(CTANGLE) $*

.spc.h:
	$(CTANGLE) $*.spc - $*.h

#.w.o:
#	$(MAKE) $*.c
#	$(MAKE) $*.o

.c.o:
	$(CC) $(CCFLAGS) -c $*.c



# ----------------------------------------------------------------------

# regenerate whole system:

system: $(PROG)

$(PROG): $(OBJECTS)
	echo You can only make regression here
#	$(CC) $(OBJECTS) $(CCFLAGS) -o $@

$(OBJS): $(HEADERS) $(CSRCES)



# list all source code:

print:


# apply lint to all C sources:

lint:


# remove all intermediate products but not executables or sources!

clean:
	$(REMOVE) $(ALLOBJS) $(ALLCSRCS) $(ALLHEADERS) $(OTHERCRAP)


# remove everything that doesn't belong to original source:

clobber: clean


# bundle source files together into an archive:

bundle:
	tar cf $(DISTNAME).tar 			\
		$(WEBS) $(ETCWEBS) $(TEXDOCS) $(DISTFILES)

# make a regression test:
regression:
	./pretzel-it -h
	./pretzel-it -v test testpp

#	if { diff pascal.l pascal.correct.l && 		\
#		diff pascal.y pascal.correct.y; } 	\
#		then echo "Regression test is fine.";	\
#	else echo "Regression test failed.";		\
#	fi


# copy executables into PATH directories, et al.

release:
	cp $(PROG) ../bin




# ======================================================================
#
# $Log: Makefile,v $
# Revision 2.1  1998/12/03 10:57:53  felix
# added ./ to invocations of pretzel-it
#
# Revision 2.0  1996/12/16 17:38:32  gaertner
# release 2.0
#
# Revision 1.2  1996/02/06  19:24:31  gaertner
# Added a few small things to be able to simply make a regression test.
#
# Revision 1.1  1996/02/06  18:22:36  gaertner
# Initial revision
#

=== contrib/leew/Makefile ===
# $Id: Makefile,v 1.2 1996/12/16 19:18:22 gaertner Exp $
#----------------------------------------------------------------------

#
# Makefile for Lee Wittenberg's Java prettyprinting filter for noweb
#


test: prettyjava
	noweave -delay -filter prettyjava -index -backend ./totex jtest.nw > jtest.tex


prettyjava: java.ft java.fg
	pretzel-it -n java prettyjava


totex: totex.nw
	notangle < totex.nw > totex.icn
	icont totex.icn

noweb.sty: support.nw
	notangle -Rnoweb.sty > noweb.sty

clean:
	rm -f *.tex *.log *.dvi *.o *.toc *.aux

=== doc/pretzelbook/Makefile ===
#
# $Id$
#
# Makefile for the Pretzelbook
#
# $Log$
#
#



# where to copy any latex styles to:
#TEXINPUTSDIR	= /users/gaertner/tex/inputs

#
LATEX	= latex
BIBTEX	= bibtex
MAKEINDEX	= makeindex

# ------------------------------------------------------------------------



# ------------------------------------------------------------------------

pretzelbook:
	$(LATEX) pretzelbook.tex
	$(MAKEINDEX) pretzelbook
	$(BIBTEX) pretzelbook
	$(LATEX) pretzelbook.tex
	$(LATEX) pretzelbook.tex



# ------------------------------------------------------------------------

clean:
	rm -f *.toc *.log *.aux *.idx *.ilg *.bbl *.blg *.ind

clobber: clean
	rm -f *.dvi

#bundle:
#	tar cf $(DISTNAME).tar $(REPFILES) $(MANFILES) $(BOTHFILES)	\
#		$(DISTFILES)


release:

=== doc/project.report/Makefile ===
#
# $Id: Makefile,v 1.2 1995/02/21 09:03:58 gaertner Exp gaertner $
#
# Makefile for the pretzel projcet documentation
#
# $Log: Makefile,v $
# Revision 1.2  1995/02/21  09:03:58  gaertner
# Installed dependency between input and output files in the
# rules that produce report and manual in order to be able to
# just type `make' if I have changed anything.
#
# Revision 1.1  1994/10/24  18:38:14  gaertner
# Initial revision
#
#


# where to copy any latex styles to:
TEXINPUTSDIR	= /users/gaertner/tex/inputs

# name of the main documentation frame (without .tex):
REPORT	= report

# name of the user manual frame (without .tex):
MANUAL	= manual

# which dvi file should be made by default?
DOCUMENT = report.dvi

# text files that belong only to the report:
REPFILES= report-title.tex abstract.tex report-intro.tex	\
		chap1.tex chap2.tex chap3.tex chap4.tex		\
		chap5.tex acknowledge.tex appendix.tex		\
		report.tex report-title2.tex

# text files that belong only to the manual:
MANFILES= manual-title.tex manual-intro.tex

# text files that belong to both:
BOTHFILES= chap2.tex 						\
		../bibliographies/prettyprinting.bib 		\
		../bibliographies/litprog.bib 			\
		../bibliographies/supplemental.bib		\
		../figures/pretzel-in-concept.latex 		\
		../figures/pretzel-in-concept.fig		\
		../figures/pp-concept.latex 			\
		../figures/pp-concept.fig			\
		../figures/module-depends.latex 		\
		../figures/module-depends.fig 			\
		../figures/generator-funs.latex 		\
		../figures/generator-funs.fig			\
		../figures/detailed-concept.latex 		\
		../figures/detailed-concept.fig			\
		../figures/concept.fig

# other files for the distribution:
#DISTFILES=

# name of the distribution:
#DISTNAME = pretzel-doc


# -----------------------------------------------------------------

doc: $(DOCUMENT)

$(REPORT): $(REPORT).dvi

$(REPORT).dvi: $(REPFILES) $(BOTHFILES)
	latex $(REPORT).tex
	makeindex $(REPORT)
	bibtex $(REPORT)
	latex $(REPORT).tex
	latex $(REPORT).tex

fullreport: $(REPORT) itititle
	echo Sorry for this, but you will have to do some work here:
	echo Look at the README file.

itititle:
	latex2e report-title2.tex


$(MANUAL): $(MANUAL).dvi

$(MANUAL).dvi: $(MANFILES) $(BOTHFILES)
	latex $(MANUAL).tex
	makeindex $(MANUAL)
	latex $(MANUAL).tex

# packedreport - make a dvi.gz of the entire report
packedreport: $(REPORT)
	gzip $(REPORT).dvi

clean:
	rm -f *.toc *.log *.aux *.idx *.ilg *.bbl *.blg *.ind

clobber: clean
	rm -f *.dvi

bundle:
	tar cf $(DISTNAME).tar $(REPFILES) $(MANFILES) $(BOTHFILES)	\
		$(DISTFILES)


release:

=== doc/styles/Makefile ===
# $Id$
#----------------------------------------------------------------------

#
# Makefile for XXX
#

# own pretzel styles
STYLES	= pretzel-latex.sty pretzeldoc.sty pretzel-noweb.sty

# the pretzel-noweb.sty has to be made first
STYLESRC	= pretzel-noweb-style.nw

# other styles that are standard but not met frequently
OTHERSTYLES = moreverb.sty

TEXINPUTSDIR = /users/gaertner/tex/inputs

pretzel-noweb.sty: pretzel-noweb-style.nw
	notangle pretzel-noweb-style.nw > pretzel-noweb.sty

pretzel-noweb-style.dvi: pretzel-noweb-style.nw
	noweave -delay -index pretzel-noweb-style.nw > pretzel-noweb-style.tex
	latex pretzel-noweb-style.tex
	latex pretzel-noweb-style.tex

clean:
	rm *.aux *.log *.tex

clobber: clean
	rm *.dvi

release: $(STYLES) $(MORESTYLES) $(OTHERSTYLES)
	cp $(STYLES) $(MORESTYLES) $(OTHERSTYLES) $(TEXINPUTSDIR)

=== debian/changelog ===
pretzel (2.0n-2-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with GCC 4.3 (Closes: #461686).

 -- Luk Claes <luk@debian.org>  Sun, 09 Mar 2008 17:44:25 +0000

=== debian/control ===
Source: pretzel
Section: devel
Priority: extra
Maintainer: Anthony Towns <ajt@debian.org>
Standards-Version: 3.1.1
Build-Depends: nowebm, flex (>= 2.4.6), bison (>= 1.19), debhelper

Package: pretzel
Architecture: any
Depends: ${shlibs:Depends}, flex (>= 2.4.6), bison (>= 1.19)
Recommends: noweb | nowebm
Description: Prettyprinter generator for noweb
 Pretzel is a system that builds prettyprinters; that is programs that
 will take some plain ASCII source code and generate a LaTeXified version
 for presentation.
 .
 Pretzel has hooks to integrate with noweb, so that code chunks may be
 prettyprinted with pretzel's generated prettyprinters.
 .
 Example prettyprinter source for C, C++, Pascal, and Dijkstra's Guarded
 Command Language are included.

=== debian/rules ===
#!/usr/bin/make -f
# MAde with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) CFLAGS="-O2 -g -Wall -W -I`pwd`/include -L`pwd` -lpretzel"

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clobber
	rm -rf tmpcee tmppascal
	rm -f contrib/noweb/general/testpp


	dh_clean

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

DST := $(PWD)/debian/tmp

# Build architecture-dependent files here.
binary-arch: build
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the files into debian/tmp
	$(MAKE) install DESTDIR=`pwd`/debian/tmp
	cp doc/pretzelbook/pretzelbook.dvi debian/tmp/usr/share/doc/pretzel/
        
	mkdir -p $(DST)/usr/share/doc/pretzel/examples/simpas
	cp -a languages/examples  $(DST)/usr/share/doc/pretzel/examples/simpas
	cp -a languages/cee       $(DST)/usr/share/doc/pretzel/examples/
	cp -a languages/cplusplus $(DST)/usr/share/doc/pretzel/examples/
	cp -a languages/pascal    $(DST)/usr/share/doc/pretzel/examples/

	mkdir $(DST)/usr/share/doc/pretzel/examples/contrib
	cp -r contrib/*  $(DST)/usr/share/doc/pretzel/examples/contrib/

	rm -f debian/tmp/usr/share/doc/pretzel/examples/*/index.html debian/tmp/usr/share/doc/pretzel/examples/*/index.list

#	for a in cee pascal; do \
#	  mkdir tmp$$a; cd tmp$$a; \
#	  cp ../debian/tmp/usr/share/doc/pretzel/examples/$${a}/* .; \
#	  PATH=$$PATH:../debian/tmp/usr/bin PRETZEL_LIBDIR=../debian/tmp/usr/lib/pretzel PRETZEL_INCLUDE=../debian/tmp/usr/include/pretzel ../pretzel-it/pretzel-it $${a} $${a}pp; \
#	  PATH=$$PATH:../debian/tmp/usr/bin PRETZEL_LIBDIR=../debian/tmp/usr/lib/pretzel PRETZEL_INCLUDE=../debian/tmp/usr/include/pretzel ../pretzel-it/pretzel-it -n $${a} pretty$${a}; \
#	  mv $${a}pp pretty$${a} ../debian/tmp/usr/bin/ ;\
#	  cd ..; rm -rf tmp$$a; \
#	done

	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installinit
	dh_installcron
	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs diary diary-1.1
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
#	dh_makeshlibs
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
